void ToggleTextFrame()
{
	SceneLayer@ UILayer = Scene.GetLayer("Novel interface");
	if (UILayer !is null)
	{
		bool bVisible = UILayer.GetRootObject().visible;
		UILayer.GetRootObject().visible = !bVisible;

		Button@ BtnAll = GetObject("Button:All") as Button;
		if (BtnAll !is null)
			BtnAll.enabled = bVisible;
	}
}

event MouseScrolling.OnMouseWheel
{
	ScrollCanvas@ sc = self as ScrollCanvas;
	
	float maxY = sc.GetScrollRange().y;
	if (maxY == 0)	// No scrolling needed
		return;
	
	// Calculate what 64 pixels is in relative coordinates
	float newY = sc.GetScrollPosition().y - wheelDelta * 64.0f / maxY;
	newY = clamp(newY, 0.0f, 1.0f);

	// Scroll
	sc.ScrollY(newY);
	
	// Update scrollbar
	Slider@ sl = GetObject("Scrollbar") as Slider;
	if (sl !is null)
		sl.value = newY;	
}